From: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date: Fri, 1 Oct 2021 14:56:50 +0200
Subject: ui: drop app menu

Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
(cherry picked from commit 2d682574b433c8d8b8e34e89cef53762821f555e)
---
 src/ui/gpaste-ui.c | 7 -------
 1 file changed, 7 deletions(-)

diff --git a/src/ui/gpaste-ui.c b/src/ui/gpaste-ui.c
index 94086c6..acac123 100644
--- a/src/ui/gpaste-ui.c
+++ b/src/ui/gpaste-ui.c
@@ -103,13 +103,6 @@ main (gint argc, gchar *argv[])
 
     g_action_map_add_action_entries (G_ACTION_MAP (app), app_entries, G_N_ELEMENTS (app_entries), app);
 
-    GMenu *menu = g_menu_new ();
-    g_menu_append (menu, _("GPaste Settings"),    "app.prefs");
-    g_menu_append (menu, _("Keyboard Shortcuts"), "win.show-help-overlay");
-    g_menu_append (menu, _("About GPaste"),       "app.about");
-    g_menu_append (menu, _("Quit"),               "app.quit");
-    gtk_application_set_app_menu (app, G_MENU_MODEL (menu));
-
     G_GNUC_UNUSED GtkWidget *window = g_paste_ui_window_new (app);
 
     return g_application_run (gapp, argc, argv);
